affinity: {}
checkDeprecation: true
clusterDomain: cluster.local
containerSecurityContext: {}
dnsConfig: {}
extraContainerVolumeMounts: []
extraInitVolumeMounts: []
extraVolumeMounts: []
extraVolumes: []
gitea:
  additionalConfigFromEnvs: 
    - name: ENV_TO_INI__SERVER__ROOT_URL
      value: https://git.cyberstrawberry.net
  additionalConfigSources: []
  admin:
    email: cyberstrawberry101@gmail.com
    existingSecret: null
    password: SUPER-SECRET-ADMIN-PASSWORD-THAT-NOONE-WILL-GUESS
    username: nicole.rappe
  config: 
    APP_NAME: "CyberStrawberry"
  ldap: []
  livenessProbe:
    enabled: true
    failureThreshold: 10
    initialDelaySeconds: 200
    periodSeconds: 10
    successThreshold: 1
    tcpSocket:
      port: http
    timeoutSeconds: 1
  metrics:
    enabled: false
    serviceMonitor:
      enabled: false
  oauth: []
  podAnnotations: {}
  readinessProbe:
    enabled: true
    failureThreshold: 3
    initialDelaySeconds: 5
    periodSeconds: 10
    successThreshold: 1
    tcpSocket:
      port: http
    timeoutSeconds: 1
  ssh:
    logLevel: INFO
  startupProbe:
    enabled: false
    failureThreshold: 10
    initialDelaySeconds: 60
    periodSeconds: 10
    successThreshold: 1
    tcpSocket:
      port: http
    timeoutSeconds: 1
global:
  hostAliases: []
  imagePullSecrets: []
  imageRegistry: ''
  storageClass: longhorn
image:
  pullPolicy: Always
  registry: ''
  repository: gitea/gitea
  rootless: false
  tag: ''
imagePullSecrets: []
ingress:
  annotations: {}
  className: null
  enabled: false
  hosts:
    - host: git.cyberstrawberry.net
      paths:
        - path: /
          pathType: Prefix
  tls: []
initPreScript: ''
memcached:
  enabled: true
  service:
    ports:
      memcached: 11211
nodeSelector: {}
persistence:
  accessModes:
    - ReadWriteOnce
  annotations: {}
  enabled: true
  existingClaim: null
  labels: {}
  size: 32Gi
  storageClass: null
  subPath: null
podSecurityContext:
  fsGroup: 1000
postgresql:
  enabled: true
  global:
    postgresql:
      auth:
        database: gitea
        password: gitea
        username: gitea
      service:
        ports:
          postgresql: 5432
  primary:
    persistence:
      size: 32Gi
replicaCount: 1
resources: {}
schedulerName: ''
securityContext: {}
service:
  http:
    annotations: {}
    clusterIP: None
    externalIPs: null
    externalTrafficPolicy: null
    ipFamilies: null
    ipFamilyPolicy: null
    loadBalancerIP: null
    loadBalancerSourceRanges: []
    nodePort: null
    port: 3000
    type: ClusterIP
  ssh:
    annotations: {}
    clusterIP: None
    externalIPs: null
    externalTrafficPolicy: null
    hostPort: null
    ipFamilies: null
    ipFamilyPolicy: null
    loadBalancerIP: null
    loadBalancerSourceRanges: []
    nodePort: null
    port: 22
    type: ClusterIP
signing:
  enabled: false
  existingSecret: ''
  gpgHome: /data/git/.gnupg
  privateKey: ''
statefulset:
  annotations: {}
  env: []
  labels: {}
  terminationGracePeriodSeconds: 60
test:
  enabled: true
  image:
    name: busybox
    tag: latest
tolerations: []
